Entrar

Vincular ref de person (por role)

PUT https://{organization}.myguper.com/api/register/{interface}/person/{role}/{refId}

Vincula este refId + {role} a una person existente (pasada por personId). Idempotente. Retorna 404 si la person no existe en la org. Persons NO se crean vía external_ref - deben existir ya (usá endpoints de register customer/person para crear).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "personId": 620977
}

Respuestas

{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"},"_linked":true}
Copied to clipboard